Bug 177043 - e1000 flaping ethernet interface
e1000 flaping ethernet interface
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 13:12 EST by Łukasz Trąbiński
Modified: 2009-03-04 01:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 10:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Łukasz Trąbiński 2006-01-05 13:12:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have machine with build in ethernet interace
Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet Controller
it's connected to cisco Catalyst 4000 switch:

GigabitEthernet3/5 is up, line protocol is up (connected)
  Hardware is Gigabit Ethernet Port, address is xxx
  Description: xxx
  MTU 1500 bytes, BW 1000000 Kbit, DLY 10 usec, 
     reliability 255/255, txload 1/255, rxload 1/255
  Encapsulation ARPA, loopback not set
  Keepalive set (10 sec)
  Full-duplex, 1000Mb/s, link type is auto, media type is 10/100/1000-TX
  input flow-control is off, output flow-control is off
configuration on switch interface:

interface GigabitEthernet3/5
 description w3cache
 switchport access vlan 340
 switchport mode access
 switchport nonegotiate
 logging event link-status
 no cdp enable
end



on linux machine:

[root@w3cache ~]# ethtool eth0
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: umbg
        Wake-on: g
        Current message level: 0x00000007 (7)
        Link detected: yes

Some times I observe flaping eth0 interface:

Jan  5 18:31:19 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Down
Jan  5 18:31:21 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Up 1000 Mbps Full Duplex
Jan  5 18:31:25 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Down
Jan  5 18:31:27 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Up 1000 Mbps Full Duplex
Jan  5 18:56:30 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Down
Jan  5 18:56:33 w3cache kernel: e1000: eth0: e1000_watchdog_task: NIC Link is Up 1000 Mbps Full Duplex

patchcords and other physical layer is OK.



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Sometimes

Steps to Reproduce:
1. install 82541GI/PI Gigabit Ethernet
2. connect it to gigabit switch

  

Additional info:
Comment 1 Łukasz Trąbiński 2006-01-05 13:19:25 EST
On cisco switch i don't have seen any flaps or errors.
No errors on the linux machine, too:
[root@w3cache squid]# ifconfig eth0 | grep err
          RX packets:704183 errors:0 dropped:0 overruns:0 frame:0
          TX packets:724317 errors:0 dropped:0 overruns:0 carrier:0
Comment 2 John W. Linville 2006-01-05 16:35:22 EST
It probably makes no difference, but please try the fedora-netdev kernels: 
 
   http://people.redhat.com/linville/kernels/fedora-netdev/ 
 
Please post the results of using those kernels here...thanks! 
Comment 3 Łukasz Trąbiński 2006-01-25 16:43:55 EST
I haven't tried netdev kernels, but I will try to move this machine to another
rack, because i have find information about high temperature on
CPU in logs files.

Jan  1 04:03:21 w3cache kernel: CPU2: Running in modulated clock mode
Jan  1 04:03:21 w3cache kernel: CPU3: Running in modulated clock mode
Jan  1 04:03:26 w3cache kernel: CPU3: Temperature above threshold
Jan  1 04:03:26 w3cache kernel: CPU2: Temperature above threshold

It's probably temperature problem not kernel/driver bug.
Comment 4 Łukasz Trąbiński 2006-01-27 18:29:04 EST
Hello again

I have moved machine to different rack with better cooler, and started machine
with 2.6.14-1.1656_FC4.netdev. It had worked with network problems:

there is output from mtr to this machine (w3cache.xxx.pl):

noc3 (0.0.0.0)(tos=0x0 psize=64 bitpattern=0x00)
                                                          Fri Jan 27
23:44:34 2006
Keys:  Help   Display mode   Restart statistics   Order of fields   quit

                             Last 125 pings
 1. noc-gw.atman.lan
................................................................................
.............................................
 2. z-atman.xxx.pl
................................................................................
.............................................
 3. rev-85.232.232.2.xxx.pl
................................................................................
.............................................
 4. w3cache.xxx.pl
.............................................??????????????????????????.........
.............................................
Scale:  .:1 ms  1:3 ms  2:6 ms  3:11 ms  a:24 ms  b:36 ms  c:57 ms


Comment 5 John W. Linville 2006-01-30 13:03:24 EST
I'm not sure I understand the last message.  Are you still having the "link 
flap" problem? 
Comment 6 Dave Jones 2006-02-03 02:27:06 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John W. Linville 2006-03-01 10:17:21 EST
Closed due to lack of response.  Please reopen when the requested info (from 
comment 5 & 6) becomes available...thanks! 

Note You need to log in before you can comment on or make changes to this bug.